Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifier
Class ClassDimensionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              de.jstacs.classifier.ClassDimensionException

All Implemented Interfaces:
  Serializable

    public class ClassDimensionException

extends Exception

This class indicates that a classifier is defined for less than 2 classes or is defined over a different number of classes than given (e.g. by an array of `Sample`s).

Author:
  Jens Keilwagen
See Also:
  Serialized Form

Constructor Summary
`ClassDimensionException()` This constructor creates a `ClassDimensionException` with the default error message ("The number of classes in the classfier differs from the given number.
`ClassDimensionException(String message)` This constructor creates a `ClassDimensionException` with given error message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassDimensionException

    public ClassDimensionException()

  This constructor creates a `ClassDimensionException` with the default error message ("The number of classes in the classfier differs from the given number.").

### ClassDimensionException

    public ClassDimensionException(String message)

  This constructor creates a `ClassDimensionException` with given error message.

  Parameters:
    `message` - the error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD